plugins {
    id 'com.android.library'
}

android {
    namespace 'com.dragonssh.xhttpdemo.core'
    compileSdk 36
    ndkVersion '27.0.12077973'

    defaultConfig {
        minSdk 26
        targetSdk 36
        ndk {
            abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
        }
    }

    buildFeatures {
        aidl false
        buildConfig true
    }

    externalNativeBuild {
        ndkBuild {
            path file('src/main/jni/Android.mk')
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
}

dependencies {
    implementation 'androidx.appcompat:appcompat:1.7.1'
    implementation 'androidx.core:core:1.17.0'
    implementation 'androidx.localbroadcastmanager:localbroadcastmanager:1.1.0'
    implementation 'com.squareup.okhttp3:okhttp:4.12.0'
    implementation 'org.conscrypt:conscrypt-android:2.5.3'
    api 'net.i2p.crypto:eddsa:0.3.0'
    implementation 'org.connectbot:jbcrypt:1.0.2'
}
